rem Run Fabric Manager client.
rem
pushd ..
set INSTALLDIR=%CD%
popd
rem
set JVMARGS=-Dmds.nmsRoot=%INSTALLDIR% -Xmx1024m -Djavax.net.ssl.trustStore=fmsKS -Djavax.net.ssl.trustStorePassword=fmserver -Djavax.net.ssl.keyStore=fmcKS -Djavax.net.ssl.keyStorePassword=fmclient
set JVMARGS=%JVMARGS% -Dserver.useSsl=false -DuserJBoss=true
rem set JVMARGS=%JVMARGS% -Dsun.net.client.defaultConnectTimeout=500
rem set JVMARGS=%JVMARGS% -Dsun.net.client.defaultReadTimeout=500
set JVMARGS=%JVMARGS% -Dsnmp.preferTCP=false
rem JVMARGS=%JVMARGS% -Dsnmp.v3only
rem JVMARGS=%JVMARGS% -Dsnmp.localport=9001
rem JVMARGS=%JVMARGS% -Dvpn.ipaddress=
set LIB=%INSTALLDIR%\lib\fm
set CP=%LIB%\patch.jar;%LIB%\fmclient.jar;%LIB%\portland.jar;%LIB%\fm_jcommon-0.7.2.jar;%LIB%\fm_log4j.jar;%LIB%\fm_layout.jar;%LIB%\jviews-diagrammer.jar;%LIB%\jviews-framework-all.jar;%LIB%\jboss-client.jar;%LIB%\commons-net-1.4.1.jar;%LIB%\jakarta-oro-2.0.8.jar;%LIB%\commons-codec-1.4.jar;%LIB%\jchart.jar;%LIB%\httpcore-4.0.1.jar;%LIB%\httpclient-4.0-beta1.jar
set CP=%CP%;%LIB%\com.noelios.restlet.jar;%LIB%\org.restlet.jar
set CP=%CP%;%LIB%\hssf.jar;%LIB%\jide-action.jar;%LIB%\jide-common.jar;%LIB%\jide-components.jar;%LIB%\jide-dialogs.jar;%LIB%\jide-dock.jar;%LIB%\jide-grids.jar;%LIB%\jide-pivot.jar;%LIB%\jide-shortcut.jar
cmd /c start "" "javaw"  -cp "%CP%" %JVMARGS% com.cisco.dcbu.sm.client.Launcher %1 %2 %3 %4 %5 %6 %7 %8
exit
